GNU bug report logs - #48145
Quoting of when argument in expansion of declare obsolete

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Glenn Morris <rgm@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 48145 <at> debbugs.gnu.org and Glenn Morris <rgm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48145 <at> debbugs.gnu.org:


Received: (at 48145) by debbugs.gnu.org; 17 Jun 2022 16:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 12:13:45 2022
Received: from localhost ([127.0.0.1]:46802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2EbR-0008LL-7r
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 12:13:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2EbN-0008Kx-PR
 for 48145 <at> debbugs.gnu.org; Fri, 17 Jun 2022 12:13:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=IUm2KI5KKzDfhUgZspIo1cANs8acbT3q6EuMr8785aw=; b=mlu7GQPTR0x4YOy0At2Q3dXHeC
 0UJjLe/KJl5cdB+3peUu9ijF+Hh0QFxBYEUV5Oxv441Xbx8fegrg5QrliIRh81Z0ZFwgXrH594evg
 JjPHNFTo/1Z2JQt5yP7f0fTk/OiaFt6waXtxTS80RiQLpYnrd3+jHXxjCkNnDS/x5aHg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2EbE-0004nV-OE; Fri, 17 Jun 2022 18:13:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#48145: Quoting of when argument in expansion of declare
 obsolete
References: <mbfsz6nztd.fsf@HIDDEN>
X-Now-Playing: JPEGMAFIA's _EP2!_: "LAST DANCE!"
Date: Fri, 17 Jun 2022 18:13:32 +0200
In-Reply-To: <mbfsz6nztd.fsf@HIDDEN> (Glenn Morris's message of
 "Sat, 01 May 2021 13:12:14 -0400")
Message-ID: <877d5f5kur.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > I noticed statements
 like these in loaddefs.el, and found the quoting of > the final WHEN argument
 a bit unexpected: > > (make-obsolete 'gnus-intersection 'seq-intersection
 '"28.1") > > I guess it i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48145
Cc: 48145 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> I noticed statements like these in loaddefs.el, and found the quoting of
> the final WHEN argument a bit unexpected:
>
> (make-obsolete 'gnus-intersection 'seq-intersection '"28.1")
>
> I guess it is because of how byte-run--set-obsolete (and friends) is defined.
> Does it need to quote the `when' argument, since `when' is documented to
> be a string?

I've now changed it to not quote the when in Emacs 29 -- doesn't seem to
have any odd side effects as far as I can tell.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48145; Package emacs. Full text available.

Message received at 48145 <at> debbugs.gnu.org:


Received: (at 48145) by debbugs.gnu.org; 2 May 2021 07:03:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 03:03:22 2021
Received: from localhost ([127.0.0.1]:40970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld68P-0004y5-Vz
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 03:03:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ld68O-0004xw-EL
 for 48145 <at> debbugs.gnu.org; Sun, 02 May 2021 03:03:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rY0y92jjpnzuNHKzApZ/IaXmglL5VEq83FO5YCEnHDY=; b=WrYKwegZz92ZUFVJC1GYysTY5j
 WOldWzAvaQQ60wqLiH9GTxC8aDvtdqg2fiR+u+C0RX3L1o14F9Z2j2JJJPu3XgDDaaPbMwry5jQcN
 sqfGDzeLuQuFEUKaTCUIzQrgHT3Cn6z8rgrX9lguUZb1tZRlnip4Dhn4a4oJ5lxhJMMA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ld68F-0003b9-Rc; Sun, 02 May 2021 09:03:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#48145: Quoting of when argument in expansion of declare
 obsolete
References: <mbfsz6nztd.fsf@HIDDEN>
X-Now-Playing: Games's _That We Can Play_: "Strawberry Skies"
Date: Sun, 02 May 2021 09:03:11 +0200
In-Reply-To: <mbfsz6nztd.fsf@HIDDEN> (Glenn Morris's message of
 "Sat, 01 May 2021 13:12:14 -0400")
Message-ID: <87zgxdlis0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > I noticed statements
 like these in loaddefs.el, and found the quoting of > the final WHEN argument
 a bit unexpected: > > (make-obsolete 'gnus-intersection 'seq-intersection
 '"28.1") > > I guess it i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48145
Cc: 48145 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> I noticed statements like these in loaddefs.el, and found the quoting of
> the final WHEN argument a bit unexpected:
>
> (make-obsolete 'gnus-intersection 'seq-intersection '"28.1")
>
> I guess it is because of how byte-run--set-obsolete (and friends) is defined.
> Does it need to quote the `when' argument, since `when' is documented to
> be a string?

Grepping through the tree, we seem to have no non-string `when's, so
removing the ' should be safe.

We could also tweak things like

(function-put 'defmethod 'doc-string-elt '3)

I guess...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48145; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2021 17:12:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 13:12:24 2021
Received: from localhost ([127.0.0.1]:37373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lctAF-0003cP-Tn
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 13:12:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lctAE-0003cJ-5O
 for submit <at> debbugs.gnu.org; Sat, 01 May 2021 13:12:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46475)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>) id 1lctA8-0006oG-VY
 for submit <at> debbugs.gnu.org; Sat, 01 May 2021 13:12:16 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lctA6-00061S-Gy; Sat, 01 May 2021 13:12:14 -0400
From: Glenn Morris <rgm@HIDDEN>
To: submit <at> debbugs.gnu.org
Subject: Quoting of when argument in expansion of declare obsolete
X-Spook: SSL Bomb squad AVN Wackenhut unclassified TTP Peking RSA
X-Ran: ]x4:2L$aA$v$452$#ZVs/_yC_Bo||L.{iCqUi/i3e`T27o0dV$!:|a3qDppunH:Qz|G[XV
X-Hue: brightmagenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 01 May 2021 13:12:14 -0400
Message-ID: <mbfsz6nztd.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Package: emacs
Version: 28.0.50
Severity: wishlist

I noticed statements like these in loaddefs.el, and found the quoting of
the final WHEN argument a bit unexpected:

(make-obsolete 'gnus-intersection 'seq-intersection '"28.1")

I guess it is because of how byte-run--set-obsolete (and friends) is defined.
Does it need to quote the `when' argument, since `when' is documented to
be a string?




Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48145; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jun 2022 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.